package entity;

/**
 * Trida reprezentuje jeden radek v souboru vstupnich dat.
 * Zajima me pouze vektor a jemu prislusna bitova maska detekovanych poruch.
 */
public class RadekDat {
    private String vektor;
    private String chybovaMaska;

    public RadekDat() {
    }

    public RadekDat(String vektor, String chybovaMaska) {
        this.vektor = vektor;
        this.chybovaMaska = chybovaMaska;
    }

    public String getChybovaMaska() {
        return chybovaMaska;
    }

    public void setChybovaMaska(String chybovaMaska) {
        this.chybovaMaska = chybovaMaska;
    }

    public String getVektor() {
        return vektor;
    }

    public void setVektor(String vektor) {
        this.vektor = vektor;
    }

    @Override
    public String toString() {
      return getVektor() + " " + getChybovaMaska();
    }

}
